# SegwitP2SHKeySigner | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- CLITransactionSigner
  - SegwitP2SHKeySigner

### Implements

- TransactionSigner

## Index

### Constructors

- constructor

### Properties

- address
- isComplete
- m
- privateKeys
- redeemScript
- witnessScript

### Methods

- findUTXO
- getAddress
- signTransaction
- signerVersion

## Constructors

### constructor

- new SegwitP2SHKeySigner(redeemScript: string, witnessScript: string, m: number, privateKeys: string[]): SegwitP2SHKeySigner

- Overrides CLITransactionSigner.constructor

  - Defined in packages/cli/src/utils.ts:127

  #### Parameters

  - ##### redeemScript: string

  - ##### witnessScript: string

  - ##### m: number

  - ##### privateKeys: string[]

  #### Returns SegwitP2SHKeySigner

## Properties

### address

address: string

Inherited from CLITransactionSigner.address

- Defined in packages/cli/src/utils.ts:56

### isComplete

isComplete: boolean

Inherited from CLITransactionSigner.isComplete

- Defined in packages/cli/src/utils.ts:57

### m

m: number

- Defined in packages/cli/src/utils.ts:127

### privateKeys

privateKeys: string[]

- Defined in packages/cli/src/utils.ts:126

### redeemScript

redeemScript: Buffer

- Defined in packages/cli/src/utils.ts:124

### witnessScript

witnessScript: Buffer

- Defined in packages/cli/src/utils.ts:125

## Methods

### findUTXO

- findUTXO(txIn: TransactionBuilder, signingIndex: number, utxos: UTXO []): UTXO

- - Defined in packages/cli/src/utils.ts:147

  #### Parameters

  - ##### txIn: TransactionBuilder

  - ##### signingIndex: number

  - ##### utxos: UTXO []

  #### Returns UTXO

### getAddress

- getAddress(): Promise<string>

- Overrides CLITransactionSigner.getAddress

  - Defined in packages/cli/src/utils.ts:143

  #### Returns Promise<string>

### signTransaction

- signTransaction(txIn: TransactionBuilder, signingIndex: number): Promise<void>

- Overrides CLITransactionSigner.signTransaction

  - Defined in packages/cli/src/utils.ts:168

  #### Parameters

  - ##### txIn: TransactionBuilder

  - ##### signingIndex: number

  #### Returns Promise<void>

### signerVersion

- signerVersion(): number

- Overrides CLITransactionSigner.signerVersion

  - Defined in packages/cli/src/utils.ts:205

  #### Returns number

Generated using TypeDoc